PETSc version 3.15.5
Fix/Edit manual page

# PCMGGetGalerkin

Checks if Galerkin multigrid is being used, i.e. A_i-1 = r_i * A_i * p_i

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGGetGalerkin(PC pc,PCMGGalerkinType  *galerkin)

Not Collective

### Input Parameter

| pc | - the multigrid context

### Output Parameter

| galerkin | - one of PC_MG_GALERKIN_BOTH,PC_MG_GALERKIN_PMAT,PC_MG_GALERKIN_MAT, PC_MG_GALERKIN_NONE, or PC_MG_GALERKIN_EXTERNAL

### See Also

PCMGSetGalerkin(), PCMGGalerkinType

### Level

intermediate

### Location

src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages